class Host():
    '''
    Host object
    :param `minionid`: Salt Minion ID for the given host
    '''

    def __init__(self, minionid=None, installedServices=None, ipv4=None, serial=None, hostname=None, head=None):
        self.minionid = minionid
        self.services = installedServices
        self.ipv4 = ipv4
        self.hostname = hostname
        self.serial = serial
        self._head = head

    def sendCommand(self, command):
        return self._head.sendCommand(f"salt '{self.minionid}' cmd.run '{command}'")
    
    def apiRequest(self, node, method, data=None):
        # Temporarily removed
        pass