import csv
from nwtoolkit.utilities.connection import SSH_To_Head
from nwtoolkit.objects.host import Host
import pathlib

hosts = {}
head_unit = SSH_To_Head()
head_unit.sendFile(f'{pathlib.Path(__file__).parent.absolute()}/get-all-systems11.sh', 'get-all-systems11.sh')
stdin, stdout, stderr = head_unit.sendCommand("echo o | bash /tmp/get-all-systems11.sh > /dev/null; cat /tmp/nw-backup/all-systems; rm -y /tmp/get-all-systems11.sh")
for row in csv.reader(stdout):
    host = Host(
        minionid=row[3],
        installedServices=row[0],
        ipv4=row[2],
        serial=row[4],
        hostname=row[1],
        head=head_unit
    )
    hosts[row[3]] = host
