import jinja2
import nwtoolkit.utilities.environment
import pathlib
import sys

def entry(args):
    fileLoader = jinja2.FileSystemLoader(f'{pathlib.Path(__file__).parent.absolute()}\\templates\\')
    jinjaEnvironment = jinja2.Environment(loader=fileLoader)
    template = jinjaEnvironment.get_template(sys.argv[2])
    message = template.render(hosts=nwtoolkit.utilities.environment.hosts, model='PowerEdge R640')
    print(message)
