import paramiko
import getpass

class SSH_To_Head():
    def __init__(self):
        # self.ipv4 = getpass.getpass('Head Unit IPv4: ')
        self.ipv4 = input('Head unit IPv4: ')
        self.user = 'root'
        self.password = getpass.getpass()
        self.client = paramiko.SSHClient()
        self.client.load_system_host_keys()
        self.client.connect(self.ipv4, username=self.user, password=self.password)
        self.sftp = self.client.open_sftp()

    def sendCommand(self, command):
        stdin, stdout, stderr = self.client.exec_command(command)
        return stdin, stdout, stderr

    def sendFile(self, filepath, filename):
        self.sftp.put(filepath, f'/tmp/{filename}')
